unit UcdrDragDrop;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, 
  Dialogs, StdCtrls;

type
  TcdrDragDrop = class(TFrame)
    lsDepart: TListBox;
    lsArrivee: TListBox;
    procedure lsDragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure lsDragDrop(Sender, Source: TObject; X, Y: Integer);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

implementation

{$R *.dfm}

procedure TcdrDragDrop.lsDragOver(Sender, Source: TObject; X, Y: Integer; State: TDragState; var Accept: Boolean);
begin
  if Source is TListBox then
    Accept := True
  else
  	Accept := false;
end;

procedure TcdrDragDrop.lsDragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  if (Source is TListBox) and (Sender is TListBox) then
    with (Source as TListBox) do
    begin
      (Sender as TListBox).Items.Add(Items[ItemIndex]);
      Items.Delete(ItemIndex);
    end;
end;

end.
